from sys import platform
from os.path import expanduser
from googletrans import Translator  # use pip install googletrans==3.1.0a0, 3.0 version is broken
import os

# some words which are usually gets translated wrong (from ger to eng):
custom_translation = {'klasse': 'class', 'nih': 'nih', 'leicht': 'minor', 'miterfasst': 'registered',
                                  'gesamtzahl': 'total amount', 'hinweis': 'hint', 'unauffällig': 'unremarkable',
                                  'weitgehend': 'mainly', 'leichtgradiger': 'mild', 'mäßiggradiger': 'a moderate',
                                  '-nih': '-nih', 'bekannt': 'known', 'anschließend': 'followed_by',
                                  'vorbehaltlich': 'for_now', 'mittels': 'using', 'teils': 'partly'}

def make_directory(path):
    if not os.path.isdir(path):
        os.makedirs(path)


def translate_to(text, src='de', to='en'):
    translator = Translator()
    return translator.translate(text, src=src, dest=to).text

def main():
    pass

if __name__ == '__main__':
    main()